Skip to contentSkip to navigationSkip to topbar
Page tools
Useful for sharing or LLM
Accelerate development with AI

On this page
Looking for more inspiration?Visit the

Recording Add-on Results Payloads Data Subresource


This subresource of the Recording Add-on Results Payloads subresource allows Recording Add-on Listing users to fetch or list the Data associated with a specific Recording Add-on Result Payload. The response includes a 307 redirect to a signed URL where the Data can be downloaded.

(warning)

Warning

The retention period for Recording Add-on Results is 30 days, after which they cannot be accessed.


Data Properties

data-properties page anchor
Property nameTypeRequiredPIIDescriptionChild properties
redirectTostring<uri>

Optional

Not PII

The URL to redirect to to get the data returned by the AddOn that was previously stored.


GET https://api.twilio.com/2010-04-01/Accounts/{AccountSid}/Recordings/{ReferenceSid}/AddOnResults/{AddOnResultSid}/Payloads/{PayloadSid}/Data.json

Path parameters

path-parameters page anchor
Property nameTypeRequiredPIIDescription
accountSidSID<AC>
required

The SID of the Account that created the Recording AddOnResult Payload resource to fetch.

Pattern: ^AC[0-9a-fA-F]{32}$Min length: 34Max length: 34

referenceSidSID<RE>
required

The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs.

Pattern: ^RE[0-9a-fA-F]{32}$Min length: 34Max length: 34

addOnResultSidSID<XR>
required

The SID of the AddOnResult to which the payload to fetch belongs.

Pattern: ^XR[0-9a-fA-F]{32}$Min length: 34Max length: 34

payloadSidSID<XH>
required

The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch.

Pattern: ^XH[0-9a-fA-F]{32}$Min length: 34Max length: 34
Fetch an instance of a result payloadLink to code sample: Fetch an instance of a result payload
1
// Download the helper library from https://www.twilio.com/docs/node/install
2
const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";
3
4
// Find your Account SID at twilio.com/console
5
// Provision API Keys at twilio.com/console/runtime/api-keys
6
// and set the environment variables. See http://twil.io/secure
7
// For local testing, you can use your Account SID and Auth token
8
const accountSid = process.env.TWILIO_ACCOUNT_SID;
9
const apiKey = process.env.TWILIO_API_KEY;
10
const apiSecret = process.env.TWILIO_API_SECRET;
11
const client = twilio(apiKey, apiSecret, { accountSid: accountSid });
12
13
async function fetchRecordingAddOnResultPayloadData() {
14
const data = await client
15
.recordings("REaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa")
16
.addOnResults("XRaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa")
17
.payloads("XHaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa")
18
.data()
19
.fetch();
20
21
console.log(data.redirectTo);
22
}
23
24
fetchRecordingAddOnResultPayloadData();

Response

Note about this response
1
{
2
"redirect_to": "http://example.com"
3
}

GET https://api.twilio.com/2010-04-01/Accounts/{AccountSid}/Recordings/{ReferenceSid}/AddOnResults/{AddOnResultSid}/Payloads/{PayloadSid}/Data.json

Property nameTypeRequiredPIIDescription
accountSidSID<AC>
required

The SID of the Account that created the Recording AddOnResult Payload resource to fetch.

Pattern: ^AC[0-9a-fA-F]{32}$Min length: 34Max length: 34

referenceSidSID<RE>
required

The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs.

Pattern: ^RE[0-9a-fA-F]{32}$Min length: 34Max length: 34

addOnResultSidSID<XR>
required

The SID of the AddOnResult to which the payload to fetch belongs.

Pattern: ^XR[0-9a-fA-F]{32}$Min length: 34Max length: 34

payloadSidSID<XH>
required

The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch.

Pattern: ^XH[0-9a-fA-F]{32}$Min length: 34Max length: 34
1
// Download the helper library from https://www.twilio.com/docs/node/install
2
const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";
3
4
// Find your Account SID at twilio.com/console
5
// Provision API Keys at twilio.com/console/runtime/api-keys
6
// and set the environment variables. See http://twil.io/secure
7
// For local testing, you can use your Account SID and Auth token
8
const accountSid = process.env.TWILIO_ACCOUNT_SID;
9
const apiKey = process.env.TWILIO_API_KEY;
10
const apiSecret = process.env.TWILIO_API_SECRET;
11
const client = twilio(apiKey, apiSecret, { accountSid: accountSid });
12
13
async function fetchRecordingAddOnResultPayloadData() {
14
const data = await client
15
.recordings("REaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa")
16
.addOnResults("XRaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa")
17
.payloads("XHaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa")
18
.data()
19
.fetch();
20
21
console.log(data.redirectTo);
22
}
23
24
fetchRecordingAddOnResultPayloadData();

Response

Note about this response
1
{
2
"redirect_to": "http://example.com"
3
}